<?php


use Drp\SimpleCms\Contracts\Publishable;
use Drp\SimpleCms\Test\Support\Fakes\TestContent;

$factory->define(TestContent::class, function (Faker\Generator $faker) {

    return [
        'title' => $faker->name,
        'status' => Publishable::STATUS_DRAFT,

    ];
});


$factory->state(TestContent::class, Publishable::STATUS_PUBLISHED, function () {
    return [
        'status' => Publishable::STATUS_PUBLISHED,
    ];
});

$factory->state(TestContent::class, Publishable::STATUS_UNPUBLISHED, function () {
    return [
        'status' => Publishable::STATUS_UNPUBLISHED,
    ];
});

$factory->state(TestContent::class, Publishable::STATUS_DRAFT, function () {
    return [
        'status' => Publishable::STATUS_DRAFT,
    ];
});

$factory->state(TestContent::class, Publishable::STATUS_REVIEW, function () {
    return [
        'status' => Publishable::STATUS_REVIEW,
    ];
});

